Permalink
Browse files

Fix bemhtml test by updating bem

  • Loading branch information...
1 parent 8cc3840 commit e431ca83b7dd81ee75d5f5165852e3bc84e94884 Serhii Tatarintsev committed Aug 14, 2013
Showing with 7 additions and 5 deletions.
  1. +5 −4 package.json
  2. +1 −1 test/bemhtml.test.js
  3. +1 −0 test/mocha.opts
View
@@ -3,7 +3,8 @@
"version": "1.0.0",
"description": "Core bem tech modules",
"scripts": {
- "test": "mocha"
+ "test": "mocha",
+ "test-watch": "mocha --watch"
},
"repository": {
"type": "git",
@@ -15,13 +16,13 @@
"devDependencies": {
"mocha": "~1.12.0",
"chai": "~1.7.2",
- "bem-smoke": "git://github.com/bem/bem-smoke.git#26111382f6",
- "bem": "git://github.com/bem/bem-tools.git#8434c6e",
+ "bem-smoke": "git://github.com/bem/bem-smoke.git#3f89e45a9def",
+ "bem": "~0.6.15",
"sinon": "~1.7.3",
"sinon-chai": "~2.4.0"
},
"peerDependencies": {
- "bem": ">= 0.6.0"
+ "bem": "~0.6.15"
@ilyar
ilyar Feb 25, 2014

@SevInf зависимость от bem@~0.6.15 действительно обязательна, пакет bem-techs-core@~0.1.1 не совместим с bem@~0.7.0?

@SevInf
SevInf Feb 25, 2014

@ilyar, версия 0.1.x должна быть совместима. Во время этого коммита 0.7.x еще не существовало и не планировалось.

@tadatuta
tadatuta Feb 25, 2014

@SevInf Серега, если я правильно понимаю, то смысла использовать bem-techs-core на сегодняшний день нет: в 0.1.x нет ничего, чего бы не было в bem-bl / bem-core, а 0.2.x не доведена до продакшена и совместима только с bem-tools@1.x, которые тоже не продакшен-реди?

@SevInf
SevInf Feb 26, 2014

@tadatuta, да, все верно

},
"dependencies": {
"ym": "0.0.9",
@@ -252,7 +252,7 @@ describe('bemhtml.js tech', function() {
]
})
.asserts(function() {
- expect(mockCompat.transpile).not.to.have.been.called();
+ expect(mockCompat.transpile).not.to.have.been.called;
})
.notify(done);
});
View
@@ -1 +1,2 @@
--require test/setup
+--growl

0 comments on commit e431ca8

Please sign in to comment.